<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Insert title here</title>
    <%@include file="/views/common.jsp" %>
</head>
<body>
<style>
    #z4_craft .layui-form-select .layui-edge {
        right: 20px;
    }
</style>
<div class="big_box">
    <div class="left_div">
        <h1 class="h1">冰箱贴</h1> <span style="color:red;font-weight:700;"></span>
        <hr>
        <form class="layui-form">
            <input type="hidden" name="proTypeValue" id="proTypeValue" class="layui-input" value="冰箱贴"/>
            <div class="layui-form-item">
                <input type="radio" lay-filter="kindValue" name="kindValue" value="冰箱贴" title="冰箱贴" checked="checked">
                <input type="radio" lay-filter="kindValue" name="kindValue" value="对联冰箱贴" title="对联冰箱贴">
            </div>
            <p>
                材质
            </p>
            <div class="layui-form-item">
                <select name="kind" class="select" lay-search>
                    <option value="亚克力">亚克力</option>
                </select>
            </div>
            <p>
                尺寸(CM/厘米) <span style="font-size: 14px; color: red">输入格式: 长 * 宽</span>
            </p>
            <div class="layui-form-item" id="ui_size">
                <input type="text" name="size" id="size" placeholder="格式:长*宽" class="layui-input" autocomplete="off">
            </div>
            <div class="layui-form-item" style="display: none">
                <select name="size" id="selectSize" class="select" disabled>
                    <option value="70*80">拼版70*80 mm</option>
                    <option value="90*100">拼版90*100 mm</option>
                </select>
            </div>
            <p>
                数量(套)
            </p>
            <div class="layui-form-item">
                <input type="text" name="count" id="count" placeholder="请输入整数" class="layui-input" autocomplete="off">
            </div>
            <p>
                款数
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入整数" autocomplete="off" name="number" id="number" value="1"
                       class="layui-input" lay-verify="number">
            </div>
            <p>
                板材厚度
            </p>
            <div class="layui-form-item">
                <select name="cailiao" id="cailiao" class="select">
                    <option value="2.3">2.3mm</option>
                    <option value="4.2">4.2mm</option>
                </select>
            </div>
            <p>
                客户旺旺
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入客户旺旺号" autocomplete="off" name="wangwang" id="wangwang"
                       class="layui-input">
            </div>
            <p>
                工艺<span id="craft_tip" style="display: none;font-size: 14px; color: red">一套为一款</span>
            </p>
            <div class="layui-form-item" id='z4_craft'>
                <div class="layui-input-block">

                    <input type="checkbox" name="craft" lay-filter="ui_craft" value="抠图" title="抠图">
                    <div class="layui-inline crop" style="display:none;width: 80px">
                        <input class="layui-input" type="text" name="cropNumber">
                    </div>
                </div>
                <div class="layui-input-block">
                    印面工艺：
                    <input type="checkbox" name="craft" lay-filter="ui_craft" value="单面" title="单面" checked>
                </div>
                <div class="layui-input-block">
                    雕刻工艺：
                    <input type="checkbox" name="craft" lay-filter="ui_craft" value="激光" title="激光" checked>
                    <div class="layui-inline jiguang_select" style="width: 120px">
                        <select name="craft" class="select">
                            <option value="标准">标准</option>
                            <option value="滴胶">滴胶</option>
                        </select>
                    </div>
                    <input type="checkbox" name="craft" lay-filter="ui_craft" value="CNC" title="CNC">
                </div>
                <div class="layui-input-block">
                    其他工艺：
                    <input type="checkbox" name="craft" lay-filter="ui_craft" value="打孔" title="打孔">
                    <input type="checkbox" name="craft" lay-filter="ui_craft" value="带透明边" title="带透明边">
                </div>
                <div style="font-size: 14px; color: red">现货背卡尺寸：115*95mm</div>
                <div class="layui-input-block">
                    背纸工艺：
                    <input type="checkbox" name="craft" lay-filter="ui_craft" value="背卡" title="背卡">
                    <span style="display: none">
                        <input type="checkbox" name="craft" lay-filter="ui_craft" value="现货背卡" title="现货背卡">
                    </span>
                </div>
                <div class="layui-input-block beika" style="display: none">
                    背纸尺寸:
                    <span class="layui-inline" style="width: 200px;">
                        <input name="size1" id="size1" type="text" class="layui-input" disabled/>
                    </span>
                    <span style="font-size: 14px; color: red">默认300克铜版纸</span>
                </div>
                <div class="layui-input-block beika" style="display: none">
                    背纸数量:
                    <span class="layui-inline" style="width: 200px;">
                        <input name="shuliang" id="shuliang" type="text" class="layui-input" disabled/>
                    </span>
                </div>
                <div class="layui-input-block beika" style="display: none">
                    背纸款数:
                    <span class="layui-inline" style="width: 200px;">
                        <input name="pinzhong" id="pinzhong" type="text" class="layui-input" value="1" disabled/>
                    </span>
                </div>
                <div class="layui-input-block beika" style="display: none">
                    背纸裁切工艺:
                    <input type="checkbox" name="craft" lay-filter="ui_craft" value="背卡直角裁切" title="直角裁切" checked
                           disabled>
                    <input type="checkbox" name="craft" lay-filter="ui_craft" value="背卡异形模切" title="异形模切" disabled>
                </div>
                <div class="layui-input-block xhbeika" style="display: none">

                    背纸颜色:
                    <input type="checkbox" name="craft" lay-filter="ui_craft" value="红色款" title="红色款" checked disabled>
                    <input type="checkbox" name="craft" lay-filter="ui_craft" value="黄色款" title="黄色款" disabled>
                </div>
            </div>
            <hr>
            <div class="layui-form-item">
                <button class="layui-btn" lay-submit="" lay-filter="acount_btn">计算</button>
                <button type="reset" class="layui-btn layui-btn-primary">重置</button>
            </div>
            <h2>计算结果-
                <button type="button" class="layui-btn layui-btn-primary layui-btn-sm copyResult"
                        onclick="copyResult()">点击复制
                </button>
            </h2>
            <div>
                <textarea rows="11" cols="75" id="span_result" readonly="readonly"></textarea>
                <%@include file="../acountExpressFee.jsp" %>
            </div>
            <div>
                <table class="layui-hide" id="priceTable" lay-filter="priceTable"></table>
            </div>
        </form>
    </div>
    <div class="right_div" style="margin-left:50px;">
        <div class="layui-carousel" id="test1">
            <div carousel-item id="carousel"></div>
            <br>
            <div id="remark" style="font-size:20px;color:red"></div>
        </div>
    </div>
</div>
</body>
<%@include file="/views/copyResult.jsp" %>
<script>
    layui.use(['table', 'form', 'carousel'], function () {
        var form = layui.form; //只有执行了这一步，部分表单元素才会自动修饰成功
        var carousel = layui.carousel;
        var table = layui.table;

        $("#number").on("input", function (data) {
            $("#pinzhong").val($(this).val())
        })
        $("#count").on("input", function (data) {
            $("#shuliang").val($(this).val())
        })
        //建造实例
        ins = carousel.render({});
        var html = " ";
        var remark = " ";
        const carft_list1 = ["激光", "CNC"];
        const carft_list2 = ["背卡直角裁切", "背卡异形模切"];
        const carft_list3 = ["背卡", "现货背卡"];
        const carft_list4 = ["红色款", "黄色款"];
        getImages()

        // 清空轮播图
        function getImages() {
            $("#carousel").empty();
            $("#remark").empty();
            $(".ui_feb").show();
            $(".ui_feb select").attr("disabled", false);
            $.ajax({
                url: "${pageContext.request.contextPath}/getImgs",
                type: "GET",
                data: {
                    proTypeValue: $("#proTypeValue").val(),
                    kindValue: $('input[name="kindValue"]:checked').val()
                },
                success: function (result) {
                    for (let i = 0; i < result.length; i++) {
                        // 只留一个remark
                        remark = "";
                        html += '<div><img style="width:100%;height: 100%;object-fit: contain" src="' + result[i].imgUrl + '"></div>';
                        remark += '<div><span>' + result[i].remark + '<span/></div>';
                    }
                    $("#carousel").append(html);
                    // 如果没有说明，就不显示null
                    if (remark.indexOf("null") < 0) {
                        $("#remark").append(remark);
                    }
                    // 如果没有轮播图就隐藏
                    if (result.length == 0) {
                        document.getElementById("test1").style.display = "none";   //隐藏
                    } else {
                        document.getElementById("test1").style.display = "block";   //显示
                        ins.reload({
                            elem: '#test1',
                            width: result[0].imgWidth,  //设置容器宽度
                            height: result[0].imgHeight
                        });
                    }
                }
            });
        }

        form.on("radio(kindValue)", function (data) {
            let kindValue = data.value;
            let cailiaoHtml = `<option value="2.3">2.3mm</option>
                    <option value="4.2">4.2mm</option>`;
            $("#ui_size").show();
            $("#ui_size").find("input").attr("disabled", false);
            $("#selectSize").parent().hide();
            $("#selectSize").attr("disabled", true);
            $("input[name='craft'][value='激光']").prop("checked", true);
            $("input[name='craft'][value='CNC']").prop("checked", false);
            $("input[name='craft'][value='现货背卡']").prop("checked", false);
            $(".xhbeika").hide();
            $(".xhbeika").find("input").prop("disabled", true)
            $("input[name='craft'][value='现货背卡']").parent().hide();
            $("input[name='craft'][value='现货背卡']").find("input").prop("disabled", true);
            $("#craft_tip").hide();
            if (kindValue == "对联冰箱贴") {
                $("input[name='craft'][value='现货背卡']").parent().show();
                $("input[name='craft'][value='现货背卡']").find("input").prop("disabled", false);
                cailiaoHtml = `<option value="2.3">2.3mm</option>
                    <option value="2.3滴塑">2.3mm滴塑</option>`;
                $("#ui_size").hide();
                $("#ui_size").find("input").attr("disabled", true);
                $("#selectSize").parent().show();
                $("#selectSize").attr("disabled", false);
                $("input[name='craft'][value='现货背卡']").prop("checked", true);
                $("input[name='craft'][value='背卡']").prop("checked", false);
                $(".beika").hide();
                $(".beika").find("input").prop("disabled", true)
                $(".xhbeika").show();
                $(".xhbeika").find("input").prop("disabled", false)
                $("#craft_tip").show();
            }
            $("#cailiao").empty();
            $("#cailiao").append(cailiaoHtml);
            getImages()
            form.render();

        })
        form.on('checkbox(ui_craft)', function (data) {
            let craft_list = [];
            let kindValue = $('input[name="kindValue"]:checked').val();
            craft_list.push($("select[name='craft'] option:selected").val());
            $("input[name='craft']:checked").each(function () {
                if (!$(this).is(':disabled')) {
                    craft_list.push($(this).val());
                }
            });
            if (!craft_list.includes("单面")) {
                $(data.elem).prop("checked", true);
                layer.msg("印面工艺不能取消", {offset: ['300px', '300px']}, function () {
                });
                form.render();
                return false;
            }
            if (data.value == "CNC" && kindValue == "对联冰箱贴") {
                $(data.elem).prop("checked", false);
                layer.msg("对联冰箱贴CNC工艺不能选择", {offset: ['300px', '300px']}, function () {
                });
                form.render();
                return false;
            }
            const carft1 = carft_list1.filter(craft => craft_list.includes(craft));
            if (carft1.length > 1) {
                $(data.elem).prop("checked", false);
                layer.msg("工艺不能同时选择", {offset: ['300px', '300px']}, function () {
                });
                form.render();
                return false;
            }
            const carft2 = carft_list2.filter(craft => craft_list.includes(craft));
            if (carft2.length > 1) {
                $(data.elem).prop("checked", false);
                layer.msg("背卡裁切工艺不能同时选择", {offset: ['300px', '300px']}, function () {
                });
                form.render();
                return false;
            }
            if (data.value == "现货背卡" && kindValue == "冰箱贴") {
                $(data.elem).prop("checked", false);
                layer.msg("冰箱贴现货背卡工艺不能选择", {offset: ['300px', '300px']}, function () {
                });
                form.render();
                return false;
            }
            const carft3 = carft_list3.filter(craft => craft_list.includes(craft));
            if (carft3.length > 1) {
                $(data.elem).prop("checked", false);
                layer.msg("背卡工艺不能同时选择", {offset: ['300px', '300px']}, function () {
                });
                form.render();
                return false;
            }
            const carft4 = carft_list4.filter(craft => craft_list.includes(craft));
            if (carft4.length > 1) {
                $(data.elem).prop("checked", false);
                layer.msg("背卡颜色不能同时选择", {offset: ['300px', '300px']}, function () {
                });
                form.render();
                return false;
            }
            if (data.value == "背卡") {
                $(".beika").hide();
                $(".beika").find("input").prop("disabled", true)
                if (data.elem.checked) {
                    $(".beika").show();
                    $(".beika").find("input").prop("disabled", false)
                }
            }
            if (data.value == "现货背卡") {
                $(".xhbeika").hide();
                $(".xhbeika").find("input").prop("disabled", true)
                if (data.elem.checked) {
                    $(".xhbeika").show();
                    $(".xhbeika").find("input").prop("disabled", false)
                }
            }
            if (data.value == "激光") {
                $(".jiguang_select").hide();
                $(".jiguang_select").find("select").prop("disabled", true)
                if (data.elem.checked) {
                    $(".jiguang_select").show();
                    $(".jiguang_select").find("select").prop("disabled", false)
                }
            }
            if (data.value == '抠图') {
                $(".crop").hide();
                $(".crop").find("input").prop("disabled", true)
                if (data.elem.checked) {
                    $(".crop").show();
                    $(".crop").find("input").prop("disabled", false)
                }
            }
            form.render();
        })

        // 点击计算，计算价格
        form.on('submit(acount_btn)', function (data) {
            var number = $("#number").val();
            var size = $("#size").val();
            let kindValue = $('input[name="kindValue"]:checked').val();
            var count = $("#count").val();
            var kind = $("select[name='kind'] option:selected").text();
            let size1 = $("#size1").val();
            let shuliang = $("#shuliang").val();
            let pinzhong = $("#pinzhong").val();
            var craft = [];
            if (kindValue == "对联冰箱贴") {
                size = $("#selectSize option:selected").val();
            }
            if (size == "") {
                layer.msg('请填写尺寸！', {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            if (kindValue == "冰箱贴") {

                if ((size.split("*")[0] > 16 || size.split("*")[1] > 16)) {
                    layer.msg('最大尺寸16*16cm！', {offset: ['300px', '300px']}, function () {
                    });
                    return false;
                }
                if ((size.split("*")[0] < 2 || size.split("*")[1] < 2)) {
                    layer.msg('最小尺寸2*2cm！', {offset: ['300px', '300px']}, function () {
                    });
                    return false;
                }
            }

            craft.push($("#xiangwei select[name='craft'] option:selected").val());
            $("input:checkbox[name='craft']:checked").each(function (i) {
                // 没有被禁用的工艺加到arr中
                if (!$(this).is(':disabled')) {
                    if ($(this).val() == "背卡直角裁切" || $(this).val() == "背卡异形模切") {
                        craft.push($(this).val().replace("背卡", ""));
                    } else if ($(this).val() == "抠图") {
                        craft.push($(this).val() + $("input[name='cropNumber']").val());
                    } else {
                        craft.push($(this).val());
                    }
                    if ($(this).val() == "背卡") {
                        craft.push(size1 + "CM背卡数量" + shuliang + "款数" + pinzhong)
                    }
                }
            });
            if (!craft.includes("单面")) {
                layer.msg("请选择印面工艺", {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            const carft1 = carft_list1.filter(item => craft.includes(item));
            if (carft1.length == 0) {
                layer.msg("请选择工艺", {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            craft = craft.filter(item => item != "单面")

            if (craft.includes("背卡") && size1 == "") {
                layer.msg("请填写背卡尺寸", {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            if (craft.includes("背卡") && (size1.split("*")[0] > 42 || size1.split("*")[1] > 28.5) && (size1.split("*")[1] > 42 || size1.split("*")[0] > 28.5)) {
                layer.msg('最大尺寸42*28.5cm！', {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            if (craft.includes("激光")) {
                let jiguang_select = $(".jiguang_select select[name='craft'] option:selected").val();
                if (jiguang_select != "标准") {
                    craft.push(jiguang_select);
                }
            }
            $.ajax({
                url: "${path}/getThanSum",
                type: "GET",
                data: $(".big_box form").serialize(),
                success: function (result) {
                    if (result.code == 100) {
                        layer.msg(result.msg, {offset: ['300px', '300px']}, function () {
                        });
                        return false;
                    }
                    var data = result.data.proList;
                    let unit = "套";
                    if (kindValue == "冰箱贴") {
                        var span_result = kindValue + ' - ' + kind + '-' + $("select[name='cailiao'] option:selected").text() + ' - ' + size + ' CM (同款内容)\n';
                        unit = "个"
                    } else {
                        var span_result = kindValue + ' - ' + kind + '-' + $("select[name='cailiao'] option:selected").text() + ' - 拼版' + size + ' MM (同款内容)\n';
                    }

                    span_result += `工艺：` + craft.join(",") + '\n';

                    if (number > 1) {
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 各' + data[i].count + unit + "，共" + data[i].price + "元" + '\n'
                            data[i].number = number;
                        }
                    } else {
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 ' + data[i].count + unit + "，共" + data[i].price + "元" + '\n'
                            data[i].number = number;
                        }
                    }

                    span_result += '包邮，免费设计呢~（偏远地区需补邮费）'
                    if (window.parent.system_isGai) {
                        span_result += "\n\n亲 现在下单可以参加淘宝活动8.5折折扣哦!"
                    }

                    addLog(span_result);
                    $("#span_result").val(span_result);
                    //计算完自动复制文本
                    var e = document.getElementById("span_result");//对象是content
                    if (e.value != "") {
                        e.select();//选择对象
                        document.execCommand("Copy");//执行浏览器复制命令
                    }

                    //生成表格
                    table.render({
                        elem: '#priceTable',
                        even: true, //隔行变色
                        data: data, // 赋值已知数据
                        width: 500,
                        cols: [[
                            {
                                field: 'number',
                                width: '12%',
                                align: "center",
                                title: '款数'
                            }, {
                                field: 'count',
                                width: '16%',
                                align: "center",
                                title: '数量'
                            }, {
                                field: 'price',
                                width: '16%',
                                align: "center",
                                title: '报价'
                            }, {
                                field: 'wangwang',
                                align: "center",
                                width: '16%',
                                title: '折扣价'
                            }, {
                                field: 'wangwang',
                                align: "center",
                                width: '19%',
                                title: '跳楼价'
                            }, {
                                field: 'weight',
                                width: '21%',
                                align: "center",
                                title: '重量（kg）'
                            }
                        ]],
                        done: function () {
                        }
                    });
                }
            });
            return false;
        });
    });
</script>
</html>